Loading...
Searching...
No Matches
Opm::Runspec Class Reference

## Public Member Functions

| Runspec (const Deck &)
std::time_t | start_time () const noexcept
const UDQParams & | udqParams () const noexcept
const Phases & | phases () const noexcept
const Tabdims & | tabdims () const noexcept
const Regdims & | regdims () const noexcept
const EndpointScaling & | endpointScaling () const noexcept
const Welldims & | wellDimensions () const noexcept
const WellSegmentDims & | wellSegmentDimensions () const noexcept
const NetworkDims & | networkDimensions () const noexcept
const AquiferDimensions & | aquiferDimensions () const noexcept
int | eclPhaseMask () const noexcept
const EclHysterConfig & | hysterPar () const noexcept
const Actdims & | actdims () const noexcept
const SatFuncControls & | saturationFunctionControls () const noexcept
const Nupcol & | nupcol () const noexcept
const Tracers & | tracers () const
bool | compositionalMode () const
size_t | numComps () const
bool | co2Storage () const noexcept
bool | co2Sol () const noexcept
bool | h2Sol () const noexcept
bool | h2Storage () const noexcept
bool | micp () const noexcept
bool | mech () const noexcept
bool | frac () const noexcept
bool | temp () const noexcept
bool | compositional () const noexcept
bool | biof () const noexcept
bool | operator== (const Runspec &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Runspec | serializationTestObject ()
static bool | rst_cmp (const Runspec &full_state, const Runspec &rst_state)

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Runspec.hpp
- opm/input/eclipse/EclipseState/Runspec.cpp